Name:       parsidora-config
Version:    18.1
Release:    1%{?dist}
Summary:    Parsidora Configuration Customizations

Group:      System Environment/Base
URL:        http://parsidora.ir/
Source0:    http://downloads.sourceforge.net/parsidora/%{name}-%{version}.tar.bz2
License:    GPLv2+
BuildArch:  noarch

# for gnome default background
#Requires:   parsidora-backgrounds-gnome gsettings-desktop-schemas

# for touchpad & keyboard layout switching settings
Requires:   gnome-settings-daemon

%description
This package contains Parsidora specific user configuration.

%package fa
Summary:    Parsidora Configuration for Persian Users
Requires:   parsidora-config
# for keyboard layouts
Requires:   gsettings-desktop-schemas

%description fa
This package contains Parsidora specific user configuration which is prepared
for Persian users, such as enabling Persian keyboard layout.

%prep
%setup -q

%build

%install
# Install OO configuration
OO_CONFIG_DIR=%{_sysconfdir}/skel/.config/libreoffice/3/user/
mkdir -p %{buildroot}${OO_CONFIG_DIR}
install -p -m 600 libreoffice/registrymodifications.xcu %{buildroot}${OO_CONFIG_DIR}

# install config schemas
mkdir -p %{buildroot}%{_datadir}/glib-2.0/schemas
install -p -m 644 schemas/* %{buildroot}%{_datadir}/glib-2.0/schemas/
#P18 doesn't have custom background
rm %{buildroot}%{_datadir}/glib-2.0/schemas/*.desktop.background.*.override

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%posttrans fa
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%postun fa
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%files
%{_sysconfdir}/skel/.[^.]*
#%{_datadir}/glib-2.0/schemas/*backgrounds*
%{_datadir}/glib-2.0/schemas/*settings-daemon*

%files fa
%{_datadir}/glib-2.0/schemas/*input-sources*

%changelog
* Sat Feb 23 2013 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 18.1-1
- Fix input sources configuration

* Tue Feb 19 2013 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 18.0-2
- Update requirements for P18

* Mon Feb 18 2013 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 18.0-1
- Update for Parsidora 18
- Update libreoffice config dir

* Fri Dec 30 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 16.0-3
- fixed schema for gnome default background

* Wed Dec 28 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 16.0-2
- Depend on backgrounds-gnome package

* Tue Dec 27 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 16.0-1
- Updated for Parsidora 16

* Sat Jul 23 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 15.0-1
- Updated for Fedora 15

* Fri Dec 10 2010 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 1.0-1
- Add touchpad tapping settings as used usually

* Thu Dec 09 2010 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 1.0-1
- Initial version with OO CTL support and initial configuration
- Added gconf settings setup, with the support for ir keyboard layout
